### Hierarchy

- Node
  - Document

## Index

### Constructors

- constructor

### Properties

- Parser

### Accessors

- children
- documentElement

### Methods

- _withParent
- appendChild
- createElement
- getElementById
- querySelector
- querySelectorAll
- parse

## Constructors

### constructor

- new Document(dom: any): Document

- Overrides Node.constructor

  - Defined in document.ts:69

  #### Parameters

  - ##### dom: any

  #### Returns Document

## Properties

### Static Parser

Parser: any

- Defined in document.ts:69

## Accessors

### children

- get children(): any
- set children(children: any): void

- Inherited from Node.children

  - Defined in document.ts:50

  #### Returns any

- Inherited from Node.children

  - Defined in document.ts:46

  #### Parameters

  - ##### children: any

  #### Returns void

### documentElement

- get documentElement(): Element

- - Defined in document.ts:79

  #### Returns Element

## Methods

### _withParent

- _withParent(node: any): any

- Inherited from Node._withParent

  - Defined in document.ts:41

  #### Parameters

  - ##### node: any

  #### Returns any

### appendChild

- appendChild(html: any): any

- Inherited from Node.appendChild

  - Defined in document.ts:54

  #### Parameters

  - ##### html: any

  #### Returns any

### createElement

- createElement(tagName: any): Element

- - Defined in document.ts:83

  #### Parameters

  - ##### tagName: any

  #### Returns Element

### getElementById

- getElementById(id: any): Element

- - Defined in document.ts:75

  #### Parameters

  - ##### id: any

  #### Returns Element

### querySelector

- querySelector(selector: any): Element

- Inherited from Node.querySelector

  - Defined in document.ts:29

  #### Parameters

  - ##### selector: any

  #### Returns Element

### querySelectorAll

- querySelectorAll(selector: any): any

- Inherited from Node.querySelectorAll

  - Defined in document.ts:36

  #### Parameters

  - ##### selector: any

  #### Returns any

### Static parse

- parse(html: any): Document

- - Defined in document.ts:87

  #### Parameters

  - ##### html: any

  #### Returns Document

Generated using TypeDoc